{smcl}
{* 31aug2009}{...}
{hline}
help for {hi:circpplot}
{hline}

{title:Histogram-like plot for circular data with bars resting on polygon}

{p 8 17 2}
{cmd:circpplot}
{it:varname}
[{cmd:if} {it:exp}] 
[{cmd:in} {it:range}]
[{it:weight}] 
{cmd:,}
{cmd:bin(}{it:#}{cmd:)} 
[
{cmd:start(}{it:#}{cmd:)} 
{cmdab:h:eight(}{it:#}{cmd:)} 
{cmdab:frac:tion} 
{cmdab:deg:ree(}{it:#}{cmd:)} 
{cmdab:cla:bel(}{it:label_specification}{cmd:)} 
{cmd:clabelinset(}{it:#}{cmd:)} 
{cmd:compass(}{it:options}{cmd:)}
{cmd:by(}{it:byvar} [{cmd:,} {it:combine_options}]{cmd:)} 
{cmd:saving(}{it:filename} [{cmd:,} {it:suboptions}]{cmd:)} 
{it:area_options}
] 

{p 4 4 2}{cmd:fweight}s and {cmd:aweight}s are allowed; see {help weight}. 


{title:Description} 

{p 4 4 2} 
{cmd:circpplot} produces a histogram-like plot for a circular variable
{it:varname} with bars showing frequencies. {it:varname} should take on
values with a range of 360 degrees. Thus, for example, a variable
{cmd:m} containing months 1,...,12 could be scaled {cmd:m * 30} or
{cmd:(m - 1) * 30} or {cmd:(m - 0.5) * 30}. 

{p 4 4 2} 
The values of {it:varname} are grouped in bins according to the argument
of {cmd:bin()}.  By default, the bin width in degrees is 360/#bins and
values are rounded to the nearest multiple of that width, modulo 360.
Optionally, bins can be declared to start at the argument of
{cmd:start()}.  Bars are drawn outwards from a regular (equilateral,
equiangular, convex) polygon drawn within a unit circumcircle according
to each direction present in the data.

{p 4 4 2} 
Know that the centre of the circle is at {it:x} = 0, {it:y} = 0. 


{title:Remarks} 

{p 4 4 2}
A plot of this kind is arguably desirable if data on directions arrive 
coarsely grouped. A wind rose or similar diagram is open to dimensional 
ambiguity: are the radii of sectors proportional to frequency, or to the 
square root of frequency, as should be the case if sector areas are to be
proportional to frequency? This point is discussed by (e.g.) 
Court (1963), in a concise historical review, 
Cheeney (1983, pp.22{c -}24),  
Watson (1983, pp.11{c -}13), 
Nemec (1988), 
Fisher (1993, pp.10, 18), 
Mardia and Jupp (2000, p.4), 
Middleton (2000, p.163), 
Davis (2002, pp.316{c -}318),
and 
Borradaile (2003, p.228). 


{title:Options} 

{p 4 8 2}
{cmd:bin()} indicates the number of bins to be used. This is a required
option. 

{p 4 8 2}
{cmd:start(}{it:#}{cmd:)} specifies that bars should be drawn beginning
at bearing {it:#}.  A bearing 0 means North (12:00 on a 12 hour clock),
90 means East (3:00), -30 (11:00) and so forth. 

{p 8 8 2}
For example, with {cmd:bin(4)} the bins receive values that round to
multiples of 360/4 degrees, i.e. 0(90)270 degrees. Or, with 
{cmd:bin(12) start(0)} the bins receive values that round to multiples
of 360/12, i.e. 0(30)330, and bins are drawn beginning at 0. The second
example could be used for 12 months or 12 2-hour divisions of a day. 

{p 4 8 2} 
{cmd:height()} specifies a factor controlling the height of bars.
The default height 1 means that the longest bars are  plotted with
height above the polygon equal to the radius of its circumcircle.
Height {it:#} means maximum height {it:#} times that radius. 

{p 4 8 2}
{cmd:fraction} specifies that spike lengths show fractions (equivalently, percents)
of the total frequency in each group. This option only bites if {cmd:by()} is also specified 
to compare two or more groups. 

{p 4 8 2}
{cmd:degree()} can be used to specify the character used to show the
degree symbol for the vector mean if {cmd:circpplot}'s default of 176 is
not appropriate for your system. See {help char()}. 

{p 4 8 2} 
{cmd:clabel()} specifies labels to be shown inside the polygon.  One
label should be given for each bin in clockwise sequence, although
labels may be empty. 

{p 4 8 2} 
{cmd:clabelinset(}{it:#}{cmd:)} controls the inset distance of labels
inside the polygon. Default is 0.1. 

{p 4 8 2}
{cmd:compass()} may be used to specify other options controlling the
rendering of the polygon and labels. Options are those of 
{help twoway line}. 

{p 4 8 2}
{cmd:by()} indicates that plots should be shown separately for the
distinct groups of a variable {it:byvar}. Options of 
{help graph combine} may also be specified. Please note that this is
{bf:not} the standard graph {help by option}. 

{p 4 8 2} 
{cmd:saving()} saves the graph to a file; see {help saving option}. 

{p 4 8 2} 
{it:options} are options of {help twoway area} that may be specified to
control other characteristics of the graph.  If two or more groups are
shown under {cmd:by()} the {cmd:title()} indicates the group and is
{cmd:pos(11) size(medium)}. The {cmd:title()} size is conservative to
reduce the risk of crowding; those with short titles may wish to
increase it.  Other default options include {cmd:astyle(histogram)}.  


{title:Example} 

{p 4 8 2}{cmd:. circpplot wallasp, bin(16) clabel(N "" NE "" E "" SE "" S "" SW "" W "" NW "")}


{title:Author}

{p 4 4 2}
Nicholas J. Cox, Durham University, U.K.{break} 
n.j.cox@durham.ac.uk


{title:References} 

{p 4 8 2}Batschelet, E. 1981. {it:Circular statistics in biology.} 
London: Academic Press. See p.40 for a dodecagonal example. 

{p 4 8 2}Borradaile, G.J. 2003. 
{it:Statistics of earth science data: Their distribution in time, space, and orientation.} 
Berlin: Springer. 

{p 4 8 2}Cheeney, R.F. 1983. 
{it:Statistical methods in geology for field and lab decisions.} 
London: Allen and Unwin. 

{p 4 8 2}Court, A. 1963. Wind roses. {it:Weather} 18: 106{c -}110. 

{p 4 8 2}
Davis, J.C. 2002. 
{it:Statistics and data analysis in geology.} 
New York: John Wiley.  

{p 4 8 2}
Fisher, N.I. 1993. 
{it:Statistical analysis of circular data.} 
Cambridge: Cambridge University Press. 

{p 4 8 2}
Mardia, K.V. and P.E. Jupp. 2000. 
{it:Directional statistics.} 
Chichester: John Wiley. 

{p 4 8 2}Middleton, G.V. 2000. 
{it:Data analysis in the Earth sciences using MATLAB.} 
Upper Saddle River, NJ: Prentice-Hall. 

{p 4 8 2}Nemec, W. 1988. 
The shape of the rose. 
{it:Sedimentary Geology} 59: 149{c -}152. 

{p 4 8 2}Watson, G.S. 1983. {it:Statistics on spheres.} 
New York: Wiley. 


{title:Also see}

{p 4 13 2} 
On-line: help for {help circdplot} (if installed), help for 
{help circrplot} (if installed), {help circvplot} (if installed) 


