cd \njc\stata8
u cumbrian_cirques, clear 
cd circular

circcentre wallasp, centre(90) gen(wallasp2)
egen vmean = vmean(wallasp), by(grade)
circcentre vmean, centre(90) gen(vmean2)
gen grade2 = grade - 0.1
stripplot wallasp2, over(grade) width(5) ms(Sh) stack height(0.4) ///
xla(-180 "W" -90 "N" 0 "E" 90 "S" 180 "W") ///
xtitle(headwall aspect) ytitle("") yla(, noticks) ///
note(bin width 5{c 176}) addplot(scatter grade2 vmean2, ms(Th))

more 

forval i = 1/5 {
	circkdensity wallasp if grade == `i', ///
	genpdf(foo`i') gendeg(bar`i') h(60)
}

circcentre bar1, centre(90) gen(newbar)
sort newbar
line foo1 newbar if foo1, lcolor(gs1) || ///
line foo2 newbar if foo2, lcolor(gs3) lp(longdash) || ///
line foo3 newbar if foo3, lcolor(gs5) lp(dash) || ///
line foo4 newbar if foo4, lcolor(gs7) lp(shortdash)  || ///
line foo5 newbar if foo5, lcolor(gs9) lp(dot) ///
legend(order(1 "classic" 2 "well-defined" 3 "definite" 4 "poor" 5 "marginal") ///
col(1) ring(0) pos(2))  xla(-180 "W" -90 "N" 0 "E" 90 "S" 180 "W") ///
xtitle(wall aspect) yla(, ang(h))

more 

stripplot lowalt flooralt medcralt maxcralt, vertical width(20) stack ///
ms(Sh) xla(1.2 "lowest" 2.2 "floor" 3.2 "median" 4.2  "maximum", noticks) ///
bar ytitle(altitude(m)) yla(, ang(h)) msize(*.9)

more 

qplot lowalt maxcralt,  ytitle(lowest and highest altitude(m)) ///
yla(, ang(h)) by(grade, note("") legend(off) compact row(1)) ///
yla(0(200)1000) xli(.5, lw(vthin))

more 

qplot lowalt maxcralt,   ytitle(lowest and highest altitude(m)) ///
yla(, ang(h)) by(grade, note("") legend(off) compact row(1)) ///
yla(0(200)1000) xli(.5, lw(vthin)) recast(connected)


